Retrieves an object of the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "29bdf1fe-3054-41af-8a3d-4820eb65bbf8",
  "_parent_id": "01e2a456-ae66-4310-ae43-543d3a65aae8",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "da89c3c7-b0b0-4660-8177-993bacbff46b",
  "company_id": "7b928839-18f5-4487-9ea4-18a7ce69e1d2",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "7fa40e4e-9c95-4a6f-b082-eca31b750676",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "edd3cf99-268d-4e84-9733-7f08d195a444",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "c67a17ab-5b40-49ec-8495-388db8ad4a33",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "c2548dbc-43ab-4b2b-a1f1-e1bc685775fa",
    "company_code": "sample string 5",
    "company": {
      "id": "b0bbb39b-3dd9-4465-bc86-96af55d72b8f",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-11-02T04:58:29.9420941+00:00",
      "sales_territory_id": "2f06e08b-4931-4c1e-8468-1a83aa35d2c2",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "9e9338d1-0f9c-418a-870f-29a40fee7302",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "7d3c278c-c67f-4a18-8dce-f83d4d9dadfc",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "9ed7a8ad-9fcc-4627-93ca-63fbd5d3d6da",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "75708820-d9fc-41e9-964c-23a45ac41519",
          "db_currency_id": "7c52825c-dd68-43c9-8f84-f1d92fb6f77c",
          "db_language_id": "4521c868-68ae-417f-98c7-c2f979ea49c5",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-02T04:58:29.9420941+00:00"
        },
        "modified_dateutc": "2026-11-02T04:58:29.9420941+00:00"
      },
      "marketing_segment_id": "a0b82b01-d19f-4fb6-b843-b28c8633b47b",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "e4379a9f-b618-47c4-b537-56d84608f91d",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "16dc5fb0-a7e4-4ac4-93cd-6cd42ed2297c",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "05232a3c-32fe-4c8a-a958-7059fe7a3809",
      "db_country_code": "sample string 28",
      "feelist_id": "74697c53-9d77-4443-ae46-a2d4e3074460",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "55f47d5b-8b90-48bd-9fe9-213dab9e0e9f",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "9c24ee0c-c074-4e20-91a8-c84750480e26",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-11-02T04:58:29.9420941+00:00",
        "db_currency_id": "f17b5d3a-1678-4d7e-a657-0b5090711c96",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "3f53deff-31e8-48ee-83ec-7ea3222f9701",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "1f890775-6b0b-409d-aadc-7c318366e412",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "162dc944-2131-444f-b86d-14220e1f9ef4",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "2f191bf4-4713-4c34-9784-300709f80780",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "85f87c63-50ec-4f65-9300-538ee12888a4",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "d4e5bcac-07ae-46f0-a413-15c2ab7c7dac",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "cde22514-4d5b-493d-bb9e-99f29f5b9108",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-11-02T04:58:29.9420941+00:00"
      },
      "company_sector_id": "39cba8d5-6000-4178-b145-e34914cd824c",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "1c706486-b0cd-4a16-866a-5de3e6a9c1ba",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "25a54f60-9bd8-4e03-b417-56e256c03764",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "eda3bd7c-bb90-441c-83af-ce86ed5ac685",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "68059772-0245-426e-ba3c-fd58c4b1958b",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-11-02T04:58:29.9420941+00:00",
      "id2": 60
    },
    "db_language_id": "e464419a-5a62-43f1-bb39-79cd0b906025",
    "db_language_code": "sample string 7",
    "db_title_id": "77cd1768-362f-4d1f-9743-0173d94906d2",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-11-02T04:58:29.9420941+00:00",
    "create_date": "2026-11-02T04:58:29.9420941+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-11-02T04:58:29.9420941+00:00"
  },
  "modified_dateutc": "2026-11-02T04:58:29.9420941+00:00",
  "id2": 22
}